### Method

# Aravis Camera set_exposure_time

since: 0.8.0

#### Declaration [src]

    void
    arv_camera_set_exposure_time (
      ArvCamera* camera,
      double exposure_time_us,
      GError** error
    )

#### Description [src]

Sets exposure time. User should take care to set a value compatible with the desired frame rate. Negative `exposure_time_us` is ignored.

Available since: 0.8.0

#### Parameters

`exposure_time_us`

  Type: `double`

  Exposure time, in µs.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.